Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-3496

Overview

Vulnerability Score 4.7 4.7
CVE Id CVE-2012-3496
Last Modified 05 May 2014 01:12:43
Published 23 Nov 2012 03:55:03
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity MEDIUM
Authentication NONE

CVE-2012-3496

Summary

XENMEM_populate_physmap in Xen 4.0, 4.1, and 4.2, and Citrix XenServer 6.0.2 and earlier, when translating paging mode is not used, allows local PV OS guest kernels to cause a denial of service (BUG triggered and host crash) via invalid flags such as MEMF_populate_on_demand.

Vulnerable Systems

Operating System

  • Xen 4.0.0

  • Xen 4.1.0

  • Xen 4.2.0

Application

  • Citrix Xenserver 6.0.2


References

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=854590

XF - xen-xenmempopulatephysmap-dos(78267)

BID - 55412

OSVDB - 85200

MLIST - [oss-security] 20120905 Xen Security Advisory 14 (CVE-2012-3496) - XENMEM_populate_physmap DoS vulnerability

DEBIAN - DSA-2544

CONFIRM - http://wiki.xen.org/wiki/Security_Announcements#XSA-14_XENMEM_populate_physmap_DoS_vulnerability

CONFIRM - http://support.citrix.com/article/CTX134708

SECTRACK - 1027481

SECUNIA - 50530

SECUNIA - 50472

MLIST - [Xen-announce] 20120905 Xen Security Advisory 14 (CVE-2012-3496) - XENMEM_populate_physmap DoS vulnerability

SUSE - openSUSE-SU-2012:1174

SUSE - openSUSE-SU-2012:1172

SUSE - openSUSE-SU-2012:1572

SUSE - SUSE-SU-2012:1162

SUSE - SUSE-SU-2012:1133

SUSE - SUSE-SU-2012:1132

SECUNIA - 51413

GENTOO - GLSA-201309-24

SECUNIA - 55082

SUSE - openSUSE-SU-2012:1573

Related Patches

Novell SUSE 2012:6748 xen-201209 security update for SLE 11 SP2 i586

Novell SUSE 2012:6748 xen-201209 security update for SLE 11 SP2 x86_64


Last Updated: 27 May 2016 10:57:37